## xpra 0.3.11+dfsg

=== xpra/x264/Makefile ===
# This file is part of Parti.
# Copyright (C) 2012 Serviware (Arthur Huillet, <ahuillet@serviware.com>)
# Copyright (C) 2012 Antoine Martin <antoine@devloop.org.uk>
# Parti is released under the terms of the GNU GPL v2, or, at your option, any
# later version. See the file COPYING for details.

# This makefile is only used for experimenting/testing
# The library and python bindings are built using the standard setup.py file

CFLAGS+=$(shell pkg-config  --cflags $(FFMPEG_LIBS))
LDFLAGS+=$(shell pkg-config --libs $(FFMPEG_LIBS)) -lm

CFLAGS+=-fPIC -W -g3 -O1

all: x264lib.so testlib

x264lib.so: x264lib.o
	$(CC) -shared -Wl,-soname,x264lib.so -o $@ $(LDFLAGS) $< -l x264 -lswscale -lavcodec
#static link: $(CC) -shared -Wl,-soname,x264lib.so -o $@ $(LDFLAGS) $< -Wl,-Bstatic -Wl,-Bsymbolic -lx264 -lswscale -lavcodec -Wl,-Bdynamic

x264lib.o: x264lib.c x264lib.h
	$(CC) $(CFLAGS) x264lib.c -c -o $@

testlib: x264lib.so testlib.c
	$(CC) $(CFLAGS) testlib.c -o $@ ./x264lib.so -l x264 -lswscale -lavcodec

OBJS=$(addsuffix .o,$(EXAMPLES))

.phony: all clean


clean:
	rm -rf x264lib.so x264lib.o

## xpra 0.0.7.27+dfsg

=== debian/changelog ===
xpra (0.0.7.27+dfsg-1ubuntu1) precise; urgency=low

  * debian/control:
    - Use X-Python-Version: >= 2.6 instead of "= all" because all is not
      supported by dh_python2.  Fixes FTBFS

 -- Michael Terry <mterry@ubuntu.com>  Tue, 22 Nov 2011 11:23:21 -0500

xpra (0.0.7.27+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Removed dversionmangle
  * Dropped manpage.diff patch: applied upstream.
  * debian/copyright:
    + Updated format
    + Update copyright info
  * Bumped compat level to 8
  * debian/control: Updated Homepage field to new upstream

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 01 Oct 2011 10:14:17 +0200

xpra (0.0.7.25+dfsg-1) unstable; urgency=low

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Switched to another upstream. (Closes: #639420)
    + Fix mapping of non-US keyboards. (Closes: #628773)
  * Dropped patches that got applied upstream: manpage.patch, run_xauth.patch,
    setup.diff
  * debian/control: B-D on cython instead of python-pyrex
  * debian/clean: Added wimpiggy/lowlevel/constants.pxi
  * debian/rules: Added an override for dh_auto_build to run
    make_constants_pxi.py before the normal build.
  * debian/copyrights:
    + Updated copyrights.
    + Added copyrights for Debian packaging.
  * debian/watch: Switched to new upstream URL
  * Added manpage.diff patch to fix hyphenation in xpra manpage.

  [ Miguel Landaeta ]
  * Bump Standards-Version to 3.9.2. No changes were required.
  * Drop parti binary package since is deemed to buggy for Debian.
  * debian/control: Add Depends on python-imaging for xpra binary package.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 06 Sep 2011 22:16:17 +0200

parti-all (0.0.6+dfsg-1) experimental; urgency=low

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Initial release to Debian (Closes: #607973)
  * Added debian/repack script to repack upstream tarball.
  * debian/watch:
    + Updated URL.
    + Added demangling for dfsg.
    + Added call for repack script
  * Removed stray xpra.dirs
  * Renamed wimpiggy to python-wimpiggy
    + debian/control:
      - Added "Section: python" for python-wimpiggy
      - Added Provides/Conflicts: wimpiggy
  * Switch to 3.0 (quilt) source format.
  * Use dh_python2 instead of python-central.
    + Removed debian/pycompat
    + debian/control:
      - build-dep on python-all-dev >= 2.6.6-2
      - Use X-Python-Version in source stanza and remove X[BS]-Python-Version
        fields.
  * Use debhelper without CDBS.
    + debian/rules: build-dep on debhelper >= 7.0.50~ to support dh overrides.
  * debian/control:
    + Bumped Standards-Version to 3.9.1, no changes needed.
    + Added Vcs-* fields
    + Set PAPT as Maintainer, and myself as uploader.
    + Better package descriptions.
    + Added ipython to parti's Depends.
  * Added debian/parti.1, debian/parti.manpages, debian/parti.links
  * debian/docs: Remove NEWS
  * debian/{xpra,parti}.install: Install xpra & parti packages as private
    packages.
  * Added private-pkg.diff patch to add /usr/lib/xpra to sys.path for xpra
    script and /usr/lib/parti to sys.path for parti script.
  * debian/copyright:
    + Removed clauses for working-notes/specs/* files, as the specs/ folder is
      removed in this DFSG.
    + Added clause for parti/addons/ipython_view.py

  [ Miguel Landaeta ]
  * Add myself to Uploaders.
  * Move clean target to debian/clean file.

  [ Michael Schutte <michi@uiae.at> ]
  * Add Suggests on openssh-{client,server} for xpra.
  * Add a couple of patches:
    - manpage.patch: Fix a typo in xpra manpage.
    - run_xauth.patch: Run xauth regardless of __debug__.
  * Install upstream changelog file.

  [ Jakub Wilk ]
  * Export LDFLAGS in debian/rules.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 25 Mar 2011 19:23:24 +0200

parti-all (0.0.6-0ubuntu10) natty; urgency=low

  * debian/rules: Pass the same args to the custom install, as cdbs does.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Dec 2010 14:03:38 +0100

parti-all (0.0.6-0ubuntu9) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 00:06:35 +0000

parti-all (0.0.6-0ubuntu8) karmic; urgency=low

  * debian/control:
    - xpra depends on x11-xserver-utils not x11-server-utils. (LP: #397456)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 09 Jul 2009 17:36:27 +0300

parti-all (0.0.6-0ubuntu7) karmic; urgency=low

  * Add dependency on x11-server-utils for xpra.  Thanks Antoine Martin.

 -- Evan Dandrea <evand@ubuntu.com>  Fri, 12 Jun 2009 15:12:59 +0100

parti-all (0.0.6-0ubuntu6) karmic; urgency=low

  * Clear generated C code on clean.

 -- Evan Dandrea <evand@ubuntu.com>  Thu, 04 Jun 2009 12:29:41 +0100

parti-all (0.0.6-0ubuntu5) karmic; urgency=low

  * Work around Debian bug #525436.  parti.install is being processed before
    debian/tmp/* exists.

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 03 Jun 2009 17:10:01 +0100

parti-all (0.0.6-0ubuntu4) karmic; urgency=low

  * Created better descriptions for Xpra and wimpiggy.
  * Noted the licenses for the files in working-notes/specs in
    debian/copyright.

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 02 Jun 2009 12:44:00 +0100

parti-all (0.0.6-0ubuntu3) karmic; urgency=low

  * Add a watch file.
  * Upload to the Ubuntu archive (LP: #306068).

 -- Evan Dandrea <evand@ubuntu.com>  Fri, 01 May 2009 12:31:11 +0100

parti-all (0.0.6-0ubuntu2) jaunty; urgency=low

  * Change the maintainer to Ubuntu MOTU Developers.

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 28 Apr 2009 13:24:19 +0100

parti-all (0.0.6-0ubuntu1) jaunty; urgency=low

  * Initial release.

 -- Evan Dandrea <evand@ubuntu.com>  Mon, 27 Apr 2009 01:43:36 +0100

=== debian/control ===
Source: xpra
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>,
 Miguel Landaeta <miguel@miguel.cc>
Build-Depends: debhelper (>= 8), libx11-dev, libxtst-dev, libxcomposite-dev, libxdamage-dev, python-all-dev (>= 2.6.6-2), cython, python-gobject-dev, python-gtk2-dev
X-Python-Version: >= 2.6
Standards-Version: 3.9.2
Homepage: http://xpra.org/
Vcs-Svn: svn://svn.debian.org/python-apps/packages/xpra/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/xpra/trunk/

Package: xpra
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-wimpiggy (=${binary:Version}), python-gtk2, xvfb, x11-xserver-utils, python-imaging
Suggests: openssh-client, openssh-server
Description: tool to detach/reattach running X programs
 Xpra gives you the functionality of GNU Screen for X applications.
 .
 It allows the user to view remote X applications on their local machine, and
 disconnect and reconnect from the remote machine without losing the state of
 the running applications.
 .
 Unlike VNC, these applications are "rootless".  They appear as individual
 windows inside your window manager rather than being contained within a single
 window.

Package: python-wimpiggy
Section: python
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-gtk2
Provides: wimpiggy
Conflicts: wimpiggy
Description: library for writing window managers, using GTK+
 A helper library for writing window managers.
 .
 As the author says, wimpiggy is "a library to make writing fancypants,
 EWMH-compliant, compositing window managers just as easy as writing an app in
 PyGTK+."

## xpra 0.0.7.30+dfsg

=== debian/changelog ===
xpra (0.0.7.30+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Removed X-Python-Version field.
  * Added typos.diff patch to fix a typo in xpra manpage.
  * Added backward-compatibility.diff patch to add a fix for backward
    compatibility with older releases of xpra.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 07 Nov 2011 19:19:21 +0200

## xpra 0.0.7.31+dfsg

=== debian/changelog ===
xpra (0.0.7.31+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Removed patches that are included upstream: typos.diff,
    backward-compatibility.diff

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 01 Dec 2011 14:11:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: xpra
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>,
  Miguel Landaeta <miguel@miguel.cc>
 Build-Depends: debhelper (>= 8), libx11-dev, libxtst-dev, libxcomposite-dev, libxdamage-dev, python-all-dev (>= 2.6.6-2), cython, python-gobject-dev, python-gtk2-dev
-X-Python-Version: >= 2.6
 Standards-Version: 3.9.2
 Homepage: http://xpra.org/
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/xpra/trunk/

## xpra 0.0.7.36+dfsg

=== debian/changelog ===
xpra (0.0.7.36+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 10 Feb 2012 18:30:56 +0200

xpra (0.0.7.35+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Added python-dbus to Depends.
  * Added debian/NEWS.Debian
  * debian/rules: Added overrides for dh_auto_clean & dh_clean to revert
    build changes to xpra/build_info.py

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 06 Feb 2012 17:08:46 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,15 @@
 
 Package: xpra
 Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-wimpiggy (=${binary:Version}), python-gtk2, xvfb, x11-xserver-utils, python-imaging
+Depends: ${python:Depends},
+ ${shlibs:Depends},
+ ${misc:Depends},
+ python-wimpiggy (=${binary:Version}),
+ python-gtk2,
+ xvfb,
+ x11-xserver-utils,
+ python-imaging,
+ python-dbus
 Suggests: openssh-client, openssh-server
 Description: tool to detach/reattach running X programs
  Xpra gives you the functionality of GNU Screen for X applications.

=== debian/rules ===
#!/usr/bin/make -f
export LDFLAGS=-Wl,--as-needed
%:
	dh $@ --with python2

override_dh_auto_clean:
	cp xpra/build_info.py xpra/build_info.py.orig
	dh_auto_clean

override_dh_clean:
	mv xpra/build_info.py.orig xpra/build_info.py
	dh_clean

override_dh_auto_build:
	python make_constants_pxi.py wimpiggy/lowlevel/constants.txt wimpiggy/lowlevel/constants.pxi
	dh_auto_build

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## xpra 0.3.0+dfsg

=== debian/changelog ===
xpra (0.3.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Removed implicit-declaration.diff patch, it got included upstream.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 23 May 2012 11:47:51 +0200

xpra (0.2.0+dfsg-2) unstable; urgency=low

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * debian/control: Add versioned build-dep on cython (Closes: #670061)
  * debian/clean: Updated files to be cleaned up (Closes: #671434)
  * Added implicit-declaration.diff patch to explicitly declare
    change_encoding_speed function in xpra/x264/x264lib.h

  [ Piotr Ożarowski ]
  * DM-Upload-Allowed set to yes

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 12 May 2012 11:33:32 +0200

xpra (0.2.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Added libavcodec-dev, libswscale-dev, libvpx-dev, libx11-dev, libx264-dev
    to Build-Deps

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 27 Apr 2012 09:56:01 +0200

xpra (0.1.0.1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Remove overrides for dh_auto_clean and dh_clean
  * debian/clean: added xpra/build_info.py
  * debian/control: Bumped Standards-Version to 3.9.3
  * Bumped compat level to 9.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 24 Mar 2012 09:12:51 +0200

=== debian/rules ===
#!/usr/bin/make -f
export LDFLAGS=-Wl,--as-needed
%:
	dh $@ --with python2

override_dh_auto_build:
	python make_constants_pxi.py wimpiggy/lowlevel/constants.txt wimpiggy/lowlevel/constants.pxi
	dh_auto_build

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## xpra 0.3.1+dfsg

=== debian/changelog ===
xpra (0.3.1+dfsg-3) unstable; urgency=low

  * Removed xpra_launcher.diff patch, it was wrong !
  * debian/xpra.install: Install xpra_launcher
  * debian/private_pkg.diff: also add /usr/lib/xpra to sys.path for
    xpra_launcher script.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 03 Jun 2012 19:37:44 +0200

xpra (0.3.1+dfsg-2) unstable; urgency=low

  * debian/xpra.install: Install icons & desktop launcher. (Closes: #674824)
  * Added xpra_launcher.diff patch to correct the name of executable to run by
    the desktop launcher.
  * Added debian/xpra.links: Add a link to xpra icon.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 03 Jun 2012 17:54:30 +0200

xpra (0.3.1+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 30 May 2012 13:43:41 +0200

## xpra 0.3.2+dfsg

=== debian/changelog ===
xpra (0.3.2+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/xpra.install: Install xpra_launcher manpage.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 04 Jun 2012 16:52:33 +0200

## xpra 0.3.3+dfsg

=== debian/changelog ===
xpra (0.3.3+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 11 Jul 2012 16:57:20 +0200

## xpra 0.3.4+dfsg

=== debian/changelog ===
xpra (0.3.4+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 25 Jul 2012 10:03:25 +0200

=== debian/control ===
--- 
+++ 
@@ -3,24 +3,37 @@
 Priority: optional
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>,
- Miguel Landaeta <miguel@miguel.cc>
-Build-Depends: debhelper (>= 8), libx11-dev, libxtst-dev, libxcomposite-dev, libxdamage-dev, python-all-dev (>= 2.6.6-2), cython, python-gobject-dev, python-gtk2-dev
-Standards-Version: 3.9.2
+           Miguel Landaeta <miguel@miguel.cc>
+Build-Depends: cython (>> 0.14.0),
+               debhelper (>= 9),
+               libavcodec-dev,
+               libswscale-dev,
+               libvpx-dev,
+               libx11-dev,
+               libx264-dev,
+               libxcomposite-dev,
+               libxdamage-dev,
+               libxtst-dev,
+               python-all-dev (>= 2.6.6-2),
+               python-gobject-dev,
+               python-gtk2-dev
+Standards-Version: 3.9.3
 Homepage: http://xpra.org/
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/xpra/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/xpra/trunk/
+DM-Upload-Allowed: yes
 
 Package: xpra
 Architecture: any
-Depends: ${python:Depends},
- ${shlibs:Depends},
- ${misc:Depends},
- python-wimpiggy (=${binary:Version}),
- python-gtk2,
- xvfb,
- x11-xserver-utils,
- python-imaging,
- python-dbus
+Depends: ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends},
+         python-wimpiggy (=${binary:Version}),
+         python-dbus,
+         python-gtk2,
+         python-imaging,
+         x11-xserver-utils,
+         xvfb,
 Suggests: openssh-client, openssh-server
 Description: tool to detach/reattach running X programs
  Xpra gives you the functionality of GNU Screen for X applications.
@@ -36,7 +49,7 @@
 Package: python-wimpiggy
 Section: python
 Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-gtk2
+Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-gtk2
 Provides: wimpiggy
 Conflicts: wimpiggy
 Description: library for writing window managers, using GTK+

=== debian/watch ===
version=3
opts="uversionmangle=s/$/\+dfsg/," \
  http://winswitch.org/src/ xpra-(.*)\.tar\.bz2 \
  debian ./debian/repack

#http://code.google.com/p/partiwm/downloads/list \
#  http://partiwm.googlecode.com/files/parti-all-(.*)\.tar\.gz \

## xpra 0.3.10+dfsg

=== debian/changelog ===
xpra (0.3.10+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 26 Sep 2012 16:03:44 +0200

xpra (0.3.9+dfsg-2) unstable; urgency=low

  * Override dh_compress to prevent compression of example conf file.
    (Closes: #688235)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 21 Sep 2012 07:43:42 +0200

xpra (0.3.9+dfsg-1) unstable; urgency=low

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * New upstream release.
  * debian/README.Debian: Remove Known issues section, it is invalidated with
    0.3.6 release.
  * debian/rules: Allow overriding of VER in get-orig-source.

  [ Dmitry Smirnov ]
  * debian/rules: export LDFLAGS using DEB_LDFLAGS_MAINT_APPEND.
  * debian/xpra.install: install only *.png icons.
  * Remove debian/parti.* (we're not shipping parti).
  * Publicly expose xpra modules.
    + Dropped private-pkg.diff patch.
    + debian/xpra.install: install xpra modules publicly.
  * debian/watch: corrected version mangle (Closes: #674964)
  * Removing debian/repack in favour of get-orig-source
  * binary and source compression to xz:
    + debian/rules: added override for dh_builddeb
    + Added debian/source/options
  * debian/copyright: add missing copyright paragraph.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 19 Sep 2012 13:45:58 +0200

xpra (0.3.6+dfsg-1) unstable; urgency=low

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * debian/control: Added Dmitry Smirnov to Uploaders
  * New upstream release. (Closes: #683133)

  [ Dmitry Smirnov ]
  * Remove debian/docs
  * debian/copyright:
    + Consolidated and updated copyright info.
    + Update copyright format.
  * debian/control: added Recommends: xserver-xorg-video-dummy
  * debian/rules: avoid dropping LDFLAGS when passing --as-needed (fixes
    Hardening)
  * install sample 'dummy.xorg.conf' and README.Debian with instructions
    how to use Xdummy (Closes: #681051).
  * separating man pages from .install to .manpages

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 18 Aug 2012 17:57:15 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>,
-           Miguel Landaeta <miguel@miguel.cc>
+           Miguel Landaeta <miguel@miguel.cc>,
+           Dmitry Smirnov <onlyjob@member.fsf.org>
 Build-Depends: cython (>> 0.14.0),
                debhelper (>= 9),
                libavcodec-dev,
@@ -34,6 +35,7 @@
          python-imaging,
          x11-xserver-utils,
          xvfb,
+Recommends: xserver-xorg-video-dummy
 Suggests: openssh-client, openssh-server
 Description: tool to detach/reattach running X programs
  Xpra gives you the functionality of GNU Screen for X applications.

## xpra 0.3.11+dfsg

=== debian/changelog ===
xpra (0.3.11+dfsg-1~bpo60+1) squeeze-backports; urgency=low

  * Releasing to squeeze-backports.
  * Disabled "vpx" and "x264" codecs with corresponding patches to avoid
    FTBFS in backports;
    Disabled respective (unused) Build-Depends "libvpx-dev", "libx264-dev".
  * Export LDFLAGS instead of relying on DEB_LDFLAGS_MAINT_APPEND which
    doesn't work in backports.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Fri, 07 Dec 2012 14:06:34 +1100

xpra (0.3.11+dfsg-1) unstable; urgency=low

  * New upstream release.
  * New backported patch to fix crash on pop-up tooltip windows.
  * VCS links are updated for new repository at collab-maint.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Tue, 09 Oct 2012 13:13:52 +1100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                debhelper (>= 9),
                libavcodec-dev,
                libswscale-dev,
-               libvpx-dev,
+#               libvpx-dev,
                libx11-dev,
-               libx264-dev,
+#               libx264-dev,
                libxcomposite-dev,
                libxdamage-dev,
                libxtst-dev,
@@ -20,8 +20,8 @@
                python-gtk2-dev
 Standards-Version: 3.9.3
 Homepage: http://xpra.org/
-Vcs-Svn: svn://svn.debian.org/python-apps/packages/xpra/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/xpra/trunk/
+Vcs-Git: git://anonscm.debian.org/collab-maint/xpra.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xpra.git
 DM-Upload-Allowed: yes
 
 Package: xpra

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-export LDFLAGS=-Wl,--as-needed
+export LDFLAGS=-Wl,--as-needed $(shell dpkg-buildflags --get LDFLAGS)
 %:
 	dh $@ --with python2
 
@@ -9,3 +9,35 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
+
+override_dh_compress:
+	dh_compress --exclude=.conf
+
+override_dh_builddeb:
+	dh_builddeb -- -Zxz
+
+PKG := xpra
+DTYPE := +dfsg
+DPATH := $(abspath $(dir $(MAKEFILE_LIST)))
+VER ?= $(shell dpkg-parsechangelog -l$(DPATH)/changelog | perl -ne 'print $$1 if m{Version:\s*([\d\.]+)}')
+.PHONY: get-orig-source
+get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz
+	@
+
+$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
+	@echo "# Downloading..."
+	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(DPATH)
+	@echo "# Extracting..."
+	mkdir $(PKG)-$(VER) \
+	&& tar xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
+	|| $(RM) -r $(PKG)-$(VER)
+	@echo "# Clean-up..."
+	cd $(PKG)-$(VER) \
+	&& $(RM) -r -v \
+             */*.bmp \
+             */.ico \
+             */*.ico \
+             working-notes/specs
+	@echo "# Packing..."
+	tar cJf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" "$(PKG)-$(VER)" \
+	&& $(RM) -r "$(PKG)-$(VER)"

=== debian/watch ===
# uscan(1) configuration file.
# use "debian/rules get-orig-source" to get DFSG-repackaged orig.tar

version=3
opts="dversionmangle=s/\+dfsg//" \
  http://winswitch.org/src/ xpra-(.*)\.tar\.(?:bz2|xz|gz)

#http://code.google.com/p/partiwm/downloads/list \
#  http://partiwm.googlecode.com/files/parti-all-(.*)\.tar\.gz \

## xpra 0.9.1+dfsg

=== debian/changelog ===
xpra (0.9.1+dfsg-1) unstable; urgency=low

  * New upstream release [May 2013].
  * Added "X-Python-Version: >= 2.7" to avoid deprecated python-2.6.
  * New patches:
    + to avoid calling "cython" on (dh_auto_)clean (backported).
    + to fix build information warning (Xpra#332).
    + to use revision from file "svn-revision" for build_info.
    + to build with libav (<< 6:9.1).
  * Conditionally apply "old-libav.patch" according to detected "libav"
    version for backportability; "quilt" added to Build-Depends.
  * Relaxed (dropped) versioned build-dependencies on "libavcodec-dev"
    and "libswscale-dev".
  * Upload to unstable.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 13 May 2013 12:01:52 +1000

xpra (0.9.0+dfsg-1~exp0) experimental; urgency=low

  * New upstream release [April 2013].
  * Dropped backported "r2738.patch".
  * Removed unnecessary version dependency from "python-all-dev".
  * Updated gstreamer plugins in Suggests according to updated list of
    supported audio codecs.
  * Added "python-gtkglext1" to Suggests (required by OpenGL support
    that is still experimental and disabled by default).
  * Added new "conf-audio-codecs.patch" to update list of supported
    audio codecs in "xpra.conf" file.
  * Updated comments in debian/control.
  * Updated my email address.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 25 Apr 2013 11:07:23 +1000

xpra (0.8.8+dfsg-1~exp0) experimental; urgency=low

  * New upstream release [March 2013].

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Thu, 07 Mar 2013 09:13:46 +1100

xpra (0.8.7+dfsg-1~exp0) experimental; urgency=low

  * New upstream release [February 2013].
    + Fixed upstream bug #259 "mishandling multiple desktops".

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Tue, 26 Feb 2013 11:32:06 +1100

xpra (0.8.5+dfsg-1~exp0) experimental; urgency=low

  * New major upstream release [February 2013].
    + Fixes run-time crash with x264 and new libav-9.1
      thanks to Anton Khirnov and Reinhard Tartler;
      (Closes: #699722).
    * Bumped libav Build-Depends [libavcodec-dev,libswscale-dev]
      to (>= 6:9.1) in order to avoid FTBFS with older versions.
    * No longer Recommend the following packages that are needed only
      for future OpenGL functionality:
      - python-gtkglext1
      - python-opengl
    * New Suggests:
      + gstreamer0.10-plugins-ugly
      + python-gst0.10
      + pulseaudio
      + pulseaudio-utils
  * Added comments regarding the purpose of packages in
    Depends/Recommends/Suggests to debian/control.
  * debian/copyright is updated.
  * Patchworks ([+] new; [-] dropped):
    - [conf-default-encoding]: no longer override default encoding to PNG;
      x264 is a new default.
    + [conf-default-min-quality] to bump default min-quality to avoid
      some visual distortions.
    + [conf-default-speaker] to disable default audio forwarding
      (it is still incomplete and buggy).
    + [_debug_x11] (inactive) to enable debugging of X11 errors.
    + [r2738] to correct X11 error trapping.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Tue, 19 Feb 2013 09:56:19 +1100

xpra (0.7.8+dfsg-1~exp0) experimental; urgency=low

  * New upstream release [January 2013].

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Wed, 16 Jan 2013 18:52:56 +1100

xpra (0.7.6+dfsg-1~exp0) experimental; urgency=low

  * New upstream release [December 2012].
  * Dropped obsolete "DM-Upload-Allowed: yes".

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Wed, 02 Jan 2013 15:16:49 +1100

xpra (0.7.5+dfsg-1~exp0) experimental; urgency=low

  * New upstream release [December 2012].

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Fri, 07 Dec 2012 09:27:54 +1100

xpra (0.7.4+dfsg-1~exp0) experimental; urgency=low

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sat, 17 Nov 2012 23:09:45 +1100

xpra (0.7.3+dfsg-1~exp0) experimental; urgency=low

  * New upstream release.
  * "ssh-askpass" moved to Recommends from Depends (Closes: #693093);
    removed redundant "ssh-askpass-fullscreen" alternative.
  * "openssh-client" promoted to Recommends (from Suggests)
    to satisfy all dependencies for client connectivity over SSH.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Wed, 14 Nov 2012 10:27:47 +1100

xpra (0.7.2+dfsg-1~exp1) experimental; urgency=low

  * added "ssh-askpass | ssh-askpass-fullscreen" to Build-Depends.
  * updated conf-default-xsession.patch to fix Xsession start-up.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Tue, 13 Nov 2012 00:09:24 +1100

xpra (0.7.2+dfsg-1~exp0) experimental; urgency=low

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Wed, 07 Nov 2012 21:58:12 +1100

xpra (0.7.1+dfsg-1~exp0) experimental; urgency=low

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Wed, 24 Oct 2012 10:54:25 +1100

xpra (0.7.0+dfsg-1~exp0) experimental; urgency=low

  * New upstream release.
  * d/clean is updated and alphabetised.
  * d/copyright is updated.
  * d/control:
    * Standards to 3.9.4
    * Build-Depends on newer "cython (>= 0.16)".
    * xpra/Depends:
      + Added "libwebp2" (new "webp" encoding).
      + Added "xserver-xorg-input-void".
      + Added "xserver-xorg-video-dummy".
      - Dropped "xvfb".
      - Moved "python-dbus" to Suggests (as advised by upstream).
      - Moved "python-imaging" to Recommends (as advised by upstream).
    * Added "keyboard-configuration (<< 1.82)" to Breaks
      (fixes keypad keys forwarding Xpra#180).
    * Added -dbg packages [xpra-dbg,python-wimpiggy-dbg] (commented)
      and corresponding override_dh_strip in debian/rules.
  * d/rules:
    - dropped dh_compress override (no longer needed).
    + build with "bindnow" hardening.
  * d/watch: added mirror.
  * New patches:
    + [conf-default-encoding] to use PNG encoding by default.
    + [conf-default-xsession] to start Xsession automatically.
  * d/README.Debian:
    + updated Xdummy custom resolution instructions.
    + added paragraph explaining -dpi.


## xpra 0.9.2+dfsg

=== debian/changelog ===
xpra (0.9.2+dfsg-1) unstable; urgency=low

  * New  upstream release [May 2013].
  * Dropped backported/applied-upstream patches.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 14 May 2013 15:31:20 +1000

## xpra 0.9.4+dfsg

=== tests/xpra/x264/Makefile ===
# This file is part of Parti.
# Copyright (C) 2012 Serviware (Arthur Huillet, <ahuillet@serviware.com>)
# Copyright (C) 2012, 2013 Antoine Martin <antoine@devloop.org.uk>
# Parti is released under the terms of the GNU GPL v2, or, at your option, any
# later version. See the file COPYING for details.

# This makefile is only used for experimenting/testing
# The library and python bindings are built using the standard setup.py file

CFLAGS+=$(shell pkg-config  --cflags $(FFMPEG_LIBS))
LDFLAGS+=$(shell pkg-config --libs $(FFMPEG_LIBS)) -lm

CFLAGS+=-fPIC -W -g3 -O1

all: x264lib.so testlib

x264lib.so: x264lib.o
	$(CC) -shared -Wl,-soname,x264lib.so -o $@ $(LDFLAGS) $< -l x264 -lswscale -lavcodec
#static link: $(CC) -shared -Wl,-soname,x264lib.so -o $@ $(LDFLAGS) $< -Wl,-Bstatic -Wl,-Bsymbolic -lx264 -lswscale -lavcodec -Wl,-Bdynamic

x264lib.o: x264lib.c x264lib.h
	$(CC) $(CFLAGS) x264lib.c -c -o $@

testlib: x264lib.so testlib.c
	$(CC) $(CFLAGS) testlib.c -o $@ ./x264lib.so -l x264 -lswscale -lavcodec

OBJS=$(addsuffix .o,$(EXAMPLES))

.phony: all clean


clean:
	rm -rf x264lib.so x264lib.o

## xpra 0.9.5+dfsg

=== debian/changelog ===
xpra (0.9.5+dfsg-1) unstable; urgency=low

  * New upstream release [June 2013].
    + fixed timeout for SSH connection and password prompt
      (Closes: #710866, #710868).
    + fixed clickable area after resolution change (Closes: #710991).

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 07 Jun 2013 00:30:01 +1000

xpra (0.9.4+dfsg-1) unstable; urgency=low

  * New upstream release [May 2013].

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 28 May 2013 12:04:21 +1000

=== debian/control ===
Source: xpra
Section: x11
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>,
           Miguel Landaeta <miguel@miguel.cc>,
           Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9) ,quilt
              ,cython (>= 0.16)
#              ,libavcodec-dev (>= 6:9.1)
              ,libavcodec-dev
#              ,libswscale-dev (>= 6:9.1)
              ,libswscale-dev
              ,libvpx-dev
              ,libx11-dev
              ,libx264-dev
              ,libxcomposite-dev
              ,libxdamage-dev
              ,libxtst-dev
              ,python-all-dev
              ,python-gobject-dev
              ,python-gtk2-dev
X-Python-Version: >= 2.7
Standards-Version: 3.9.4
Homepage: http://xpra.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/xpra.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xpra.git

Package: xpra
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
        ,libwebp2
        ,python-wimpiggy (=${binary:Version})
        ,python-gtk2
        ,x11-xserver-utils
        ,xserver-xorg-input-void
        ,xserver-xorg-video-dummy
Recommends: openssh-client
           ,ssh-askpass
# PNG and JPEG support:
           ,python-imaging
Breaks:
# keyboard-configuration (>= 1.82) is workaround for #180 to fix keypad keys forwarding.
  keyboard-configuration (<< 1.82)
Suggests: openssh-server
         ,python-dbus
# audio: [wavpack, wav, flac, speex]           [mp3]                        [opus]
         ,gstreamer0.10-plugins-good | gstreamer0.10-plugins-ugly | gstreamer0.10-plugins-bad
         ,python-gst0.10
         ,pulseaudio
         ,pulseaudio-utils
# OpenGL support:
         ,python-gtkglext1
Description: tool to detach/reattach running X programs
 Xpra gives you the functionality of GNU Screen for X applications.
 .
 It allows the user to view remote X applications on their local machine, and
 disconnect and reconnect from the remote machine without losing the state of
 the running applications.
 .
 Unlike VNC, these applications are "rootless".  They appear as individual
 windows inside your window manager rather than being contained within a single
 window.

#Package: xpra-dbg
#Section: debug
#Priority: extra
#Architecture: any
#Depends: xpra (= ${binary:Version}), ${misc:Depends}
#Description: xpra -- debugging symbols
# Xpra gives you the functionality of GNU Screen for X applications.
# .
# It allows the user to view remote X applications on their local machine, and
# disconnect and reconnect from the remote machine without losing the state of
# the running applications.
# .
# Unlike VNC, these applications are "rootless".  They appear as individual
# windows inside your window manager rather than being contained within a single
# window.
# .
# This package provides debugging symbols

Package: python-wimpiggy
Section: python
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-gtk2
Provides: wimpiggy
Conflicts: wimpiggy
Description: library for writing window managers, using GTK+
 A helper library for writing window managers.
 .
 As the author says, wimpiggy is "a library to make writing fancypants,
 EWMH-compliant, compositing window managers just as easy as writing an app in
 PyGTK+."

#Package: python-wimpiggy-dbg
#Section: debug
#Priority: extra
#Architecture: any
#Depends: python-wimpiggy (= ${binary:Version}), ${misc:Depends}
#Description: python-wimpiggy -- debugging symbols
# A helper library for writing window managers.
# .
# As the author says, wimpiggy is "a library to make writing fancypants,
# EWMH-compliant, compositing window managers just as easy as writing an app in
# PyGTK+."
# .
# This package provides debugging symbols

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
%:
	dh $@ --with python2

# backportability: patch upstream source for compatibility with older libav if necessary.
NEW_AV=$(shell dpkg --compare-versions $$(dpkg --status libavcodec-dev | grep Version | cut -d' ' -f2) ge 6:9.1 && echo 1)
override_dh_auto_build:
	# Make sure all patches applied
	dh_quilt_patch
	# Unapply top patch if necessary (i.e. if new libav detected)
	[ -z "$(NEW_AV)" ] || QUILT_PATCHES=debian/patches quilt pop
	# Build:
	dh_auto_build

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## gracefully handle stripping if -dbg packages are (un-)commented in debian/control
override_dh_strip:
	[ -d "$(CURDIR)/debian/xpra-dbg" ] \
        && dh_strip -pxpra --dbg-package=xpra-dbg \
        || dh_strip -pxpra
	[ -d "$(CURDIR)/debian/python-wimpiggy-dbg" ] \
        && dh_strip -ppython-wimpiggy --dbg-package=python-wimpiggy-dbg \
        || dh_strip -ppython-wimpiggy

override_dh_builddeb:
	dh_builddeb -- -Zxz

PKG := xpra
DTYPE := +dfsg
DPATH := $(abspath $(dir $(MAKEFILE_LIST)))
VER ?= $(shell dpkg-parsechangelog -l$(DPATH)/changelog | perl -ne 'print $$1 if m{Version:\s*([\d\.]+)}')
.PHONY: get-orig-source
get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(DPATH)
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER) \
        && tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
        || $(RM) -r $(PKG)-$(VER)
	@echo "# Clean-up..."
	cd $(PKG)-$(VER) \
        && $(RM) -r -v \
             */*.bmp \
             */.ico \
             */*.ico \
             working-notes/specs
	@echo "# Packing..."
	tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" "$(PKG)-$(VER)" \
        && $(RM) -r "$(PKG)-$(VER)"

## xpra 0.9.8+dfsg

=== debian/changelog ===
xpra (0.9.8+dfsg-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 05 Sep 2013 02:06:46 +1000

xpra (0.9.8+dfsg-1) unstable; urgency=low

  * New upstream release [July 2013].

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 30 Jul 2013 10:48:05 +1000

xpra (0.9.6+dfsg-1) unstable; urgency=low

  * New upstream release [June 2013].
  * Depends on "libwebp4 | libwebp2" (Closes: 713017).
  * Reference get-orig-source implementation.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 01 Jul 2013 03:53:54 +1000

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
 Package: xpra
 Architecture: any
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
-        ,libwebp2
+        ,libwebp4 | libwebp2
         ,python-wimpiggy (=${binary:Version})
         ,python-gtk2
         ,x11-xserver-utils

=== debian/rules ===
--- 
+++ 
@@ -33,17 +33,19 @@
 override_dh_builddeb:
 	dh_builddeb -- -Zxz
 
-PKG := xpra
-DTYPE := +dfsg
-DPATH := $(abspath $(dir $(MAKEFILE_LIST)))
-VER ?= $(shell dpkg-parsechangelog -l$(DPATH)/changelog | perl -ne 'print $$1 if m{Version:\s*([\d\.]+)}')
+## http://wiki.debian.org/onlyjob/get-orig-source
+PKD   = $(abspath $(dir $(MAKEFILE_LIST)))
+PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
+VER  ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{Version:\s*([\d\.]+)}')
+DTYPE = +dfsg
 .PHONY: get-orig-source
-get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz
+get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
 	@
 
 $(PKG)_$(VER)$(DTYPE).orig.tar.xz:
 	@echo "# Downloading..."
-	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(DPATH)
+	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
+	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
 	@echo "# Extracting..."
 	mkdir $(PKG)-$(VER) \
         && tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
@@ -56,5 +58,6 @@
              */*.ico \
              working-notes/specs
 	@echo "# Packing..."
-	tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" "$(PKG)-$(VER)" \
+	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
+        | XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
         && $(RM) -r "$(PKG)-$(VER)"

## xpra 0.10.6+dfsg

=== debian/changelog ===
xpra (0.10.6+dfsg-1ubuntu1) saucy; urgency=low

  * Merge with Debian, remaining changes:
    + Remove Breaks field for Ubuntu (not needed).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 15 Oct 2013 07:52:53 +0200

xpra (0.10.6+dfsg-1) unstable; urgency=low

  * New upstream release [October 2013].
    + fixed host name in window titles (Closes: #725076).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 15 Oct 2013 15:50:36 +1100

xpra (0.10.4+dfsg-2ubuntu1) saucy; urgency=low

  * Merge with Debian, remaining changes:
    + Remove Breaks field for Ubuntu (not needed).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 13 Sep 2013 10:07:21 +0200

xpra (0.10.4+dfsg-2) unstable; urgency=low

  * Bumped to cython (>= 0.19) in Build-Dep
  * Added assume_YUV420P_old_clients.patch patch to workaround for really
    old/broken clients: assume YUV420P (LP: #1223985)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 13 Sep 2013 10:03:16 +0200

xpra (0.10.4+dfsg-1ubuntu1) saucy; urgency=low

  * Merge with Debian, remaining changes:
    + Remove Breaks field for Ubuntu (not needed).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 11 Sep 2013 08:30:28 +0200

xpra (0.10.4+dfsg-1) unstable; urgency=low

  * New upstream release [September 2013].

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 11 Sep 2013 10:45:35 +1000

xpra (0.10.3+dfsg-1) unstable; urgency=low

  * New upstream release [September 2013].
  * Upload to unstable.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 09 Sep 2013 23:19:15 +1000

xpra (0.10.1+dfsg-1) experimental; urgency=low

  * New upstream release [August 2013].
  * Patchworks:
    + dropped "conf-audio-codecs.patch" (applied-upstream).
    + new "libav-no0RGB.patch" to fix FTBFS with "libav-9.8".
    + updated "old-libav.patch" to fix FTBFS with "libav (< 9.1)".
    + new "unbundle-webm.patch" to use system "python-webm".
  * Added "python-webm" to Recommends;
    updated get-orig-source to remove webm files from orig.tar;
    removed "libwebp4 | libwebp2" from Depends.
  * "python-wimpiggy" is gone, removed all traces of it.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 25 Aug 2013 04:17:03 +1000

xpra (0.9.8+dfsg-1ubuntu1) saucy; urgency=low

  * Merge with Debian, remaining changes:
    + Remove Breaks field for Ubuntu (not needed).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 31 Jul 2013 10:07:03 +0200

xpra (0.9.5+dfsg-1ubuntu2) saucy; urgency=low

  * Depend on libwebp4 instead of libwebp2

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 21 Jun 2013 17:28:16 -0400

xpra (0.9.5+dfsg-1ubuntu1) saucy; urgency=low

  * Remove Breaks field for Ubuntu (not needed).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 08 Jun 2013 09:42:00 +0200

## xpra 0.10.8+dfsg

=== debian/changelog ===
xpra (0.10.8+dfsg-1ubuntu1) trusty; urgency=low

  * Merge with Debian, remaining changes:
    + Remove Breaks field for Ubuntu (not needed).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 24 Oct 2013 09:00:20 +0200

xpra (0.10.8+dfsg-1) unstable; urgency=low

  * New upstream release [October 2013]
    + fixed crashes with buggy "fglrx" drivers.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 23 Oct 2013 01:07:25 +1100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: xpra
 Section: x11
 Priority: optional
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>,
            Miguel Landaeta <miguel@miguel.cc>,
            Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9) ,quilt
-              ,cython (>= 0.16)
+              ,cython (>= 0.19)
 #              ,libavcodec-dev (>= 6:9.1)
               ,libavcodec-dev
 #              ,libswscale-dev (>= 6:9.1)
@@ -29,8 +30,6 @@
 Package: xpra
 Architecture: any
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
-        ,libwebp4 | libwebp2
-        ,python-wimpiggy (=${binary:Version})
         ,python-gtk2
         ,x11-xserver-utils
         ,xserver-xorg-input-void
@@ -39,9 +38,8 @@
            ,ssh-askpass
 # PNG and JPEG support:
            ,python-imaging
-Breaks:
-# keyboard-configuration (>= 1.82) is workaround for #180 to fix keypad keys forwarding.
-  keyboard-configuration (<< 1.82)
+# WebP codec
+           ,python-webm
 Suggests: openssh-server
          ,python-dbus
 # audio: [wavpack, wav, flac, speex]           [mp3]                        [opus]
@@ -79,30 +77,3 @@
 # window.
 # .
 # This package provides debugging symbols
-
-Package: python-wimpiggy
-Section: python
-Architecture: any
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-gtk2
-Provides: wimpiggy
-Conflicts: wimpiggy
-Description: library for writing window managers, using GTK+
- A helper library for writing window managers.
- .
- As the author says, wimpiggy is "a library to make writing fancypants,
- EWMH-compliant, compositing window managers just as easy as writing an app in
- PyGTK+."
-
-#Package: python-wimpiggy-dbg
-#Section: debug
-#Priority: extra
-#Architecture: any
-#Depends: python-wimpiggy (= ${binary:Version}), ${misc:Depends}
-#Description: python-wimpiggy -- debugging symbols
-# A helper library for writing window managers.
-# .
-# As the author says, wimpiggy is "a library to make writing fancypants,
-# EWMH-compliant, compositing window managers just as easy as writing an app in
-# PyGTK+."
-# .
-# This package provides debugging symbols

=== debian/rules ===
--- 
+++ 
@@ -21,14 +21,16 @@
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
 
+override_dh_auto_install:
+	dh_auto_install
+	# Post-install clean-up
+	$(RM) -v debian/xpra/usr/share/xpra/COPYING debian/xpra/usr/bin/xpra_Xdummy
+
 ## gracefully handle stripping if -dbg packages are (un-)commented in debian/control
 override_dh_strip:
 	[ -d "$(CURDIR)/debian/xpra-dbg" ] \
         && dh_strip -pxpra --dbg-package=xpra-dbg \
         || dh_strip -pxpra
-	[ -d "$(CURDIR)/debian/python-wimpiggy-dbg" ] \
-        && dh_strip -ppython-wimpiggy --dbg-package=python-wimpiggy-dbg \
-        || dh_strip -ppython-wimpiggy
 
 override_dh_builddeb:
 	dh_builddeb -- -Zxz
@@ -56,7 +58,7 @@
              */*.bmp \
              */.ico \
              */*.ico \
-             working-notes/specs
+             xpra/codecs/webm
 	@echo "# Packing..."
 	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
         | XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \

## xpra 0.10.9+dfsg

=== debian/changelog ===
xpra (0.10.9+dfsg-1ubuntu1) trusty; urgency=low

  * Merge with Debian, remaining changes:
    + Remove Breaks field for Ubuntu (not needed).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 22 Nov 2013 17:34:22 +0200

xpra (0.10.9+dfsg-1) unstable; urgency=low

  * New upstream release [November 2013].

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 07 Nov 2013 10:49:11 +1100
